import java.util.Timer;
import java.util.TimerTask;
import java.io.*;
import java.util.*;
import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class OnePart{
	PressPicture letters;
	int num_of_pictures;
	String[] files;
	TimedPicture[] pictures;
	Timer timer;
	
	public OnePart(String[] f,String letter_file,String filename,int num){
		num_of_pictures=num;
		pictures=new TimedPicture[num];
		files=f;
		letters=new PressPicture(letter_file,filename);	
		timer=new Timer();
	}
	
	public void DoYourWork(){
		for (int i=0;i<num_of_pictures;i++){
			timer.schedule(new Delay(files,letters,i,num_of_pictures-1),i*3000);
			timer.schedule(new DelayL(letters,i,num_of_pictures-1),i*5000);
		}	
	}
	
	class Delay extends TimerTask {
    	String[] pictures;
    	int number;
    	int picture_num;
    	PressPicture letters;
    	
    	public Delay(String[] pic,PressPicture l,int p_num,int num){
    		pictures=pic;
    		picture_num=p_num;
    		letters=l;
    		number=num;
    	}
    	
        public void run() {
        	System.out.println(picture_num);
		    (new TimedPicture(pictures[picture_num])).DoYourWork();
		
			}
        }
    
    class DelayL extends TimerTask {
    	
    	int number;
    	int picture_num;
    	PressPicture letters;
    	
    	public DelayL(PressPicture l,int p_num,int num){
    		
    		picture_num=p_num;
    		letters=l;
    		number=num;
    	}
    	
        public void run() {
        	
        	if (picture_num<number){
		        
				letters.show();
				
				}
			else{
				
				letters.show();
				
				timer.cancel(); //Terminate the timer thread
			}
        }
    }	
}